package com.realnet.app-b.Services;
import com.realnet.app-b.Repository.TodoitemRepository;
import com.realnet.app-b.Entity.Todoitem
;import java.util.*;

import org.springframework.beans.factory.annotation.Autowired;
import com.realnet.SequenceGenerator.Service.SequenceService;
import org.springframework.data.domain.Page;
import com.realnet.realm.Entity.Realm;
import com.realnet.realm.Services.RealmService;
import org.springframework.data.domain.Pageable;
import org.springframework.http.*;
import com.realnet.users.service1.AppUserServiceImpl;
import com.realnet.users.entity1.AppUser;






	import org.springframework.stereotype.Service;

@Service
 public class TodoitemService {
@Autowired
private TodoitemRepository Repository;
	@Autowired
	private AppUserServiceImpl userService; 
@Autowired
	private RealmService realmService;





public Todoitem Savedata(Todoitem data) {






	data.setUpdatedBy(getUser().getUserId());
		data.setCreatedBy(getUser().getUserId());
		data.setAccountId(getUser().getAccount().getAccount_id());
Todoitem save = Repository.save(data);
				return save;	
			}


//	get all with pagination
	public Page<Todoitem> getAllWithPagination(Pageable page) {
		return Repository.findAll( getUser().getUserId(),page);
	}			
public List<Todoitem> getdetails() {  
		List<Realm> realm = realmService.findByUserId(getUser().getUserId());
List<Todoitem> all = Repository.findAll(getUser().getUserId());
		
		return all ;		}


public Todoitem getdetailsbyId(Integer id) {
	return Repository.findById(id).get();
			}


	public void delete_by_id(Integer id) {
 Repository.deleteById(id);
}


public Todoitem update(Todoitem data,Integer id) {
	Todoitem old = Repository.findById(id).get();
old.setTaskdescription(data.getTaskdescription());

old.setDuedate(data.getDuedate());

old.setIscompleted(data.getIscompleted());

final Todoitem test = Repository.save(old);
		data.setUpdatedBy(getUser().getUserId());
  return test;} 






 public AppUser getUser() {
		AppUser user = userService.getLoggedInUser();
		return user;

	}}
